summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorxHire <xhire@tuxportal.cz>2008-10-03 22:12:27 +0200
committerxHire <xhire@tuxportal.cz>2008-10-03 22:12:27 +0200
commitb925bcd3fda6a1cc5b7e1c0d79e168598128a6e3 (patch)
tree7b0e2cfc8e80938e29f15358cd483b1615b36219
parentcf39e00cc070308d00712a9071289966940e8727 (diff)
parent62cab8ca0c0ac24749a670040f88075e0d2d4cb7 (diff)
Merge branch 'master' of ssh://xHire@repo.or.cz/srv/git/tuxanci
-rw-r--r--packaging/gentoo/tuxanci-9999.ebuild10
-rwxr-xr-xpackaging/linux/build.sh4
2 files changed, 7 insertions, 7 deletions
diff --git a/packaging/gentoo/tuxanci-9999.ebuild b/packaging/gentoo/tuxanci-9999.ebuild
index b5f0068..996117a 100644
--- a/packaging/gentoo/tuxanci-9999.ebuild
+++ b/packaging/gentoo/tuxanci-9999.ebuild
@@ -2,13 +2,13 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="2_pre1"
+EAPI="2"
-ESVN_REPO_URI="http://opensvn.csie.org/tuxanci_ng"
-inherit games cmake-utils subversion
+inherit games cmake-utils git
DESCRIPTION="Tuxanci is first cushion shooter inspired by game Bulanci."
HOMEPAGE="http://www.tuxanci.org/"
+EGIT_REPO_URI="git://repo.or.cz/tuxanci.git"
#SRC_URI="http://download.${PN}.org/${PV}/${P}-src.tar.bz2"
LICENSE="GPL-2"
@@ -31,7 +31,7 @@ DEPEND="!dedicated? (
S="${WORKDIR}"/"${PN}"
-src_compile() {
+src_configure() {
local mycmakeargs
use alsa || mycmakeargs="${mycmakeargs} -DNO_Audio=1"
use debug && mycmakeargs="${mycmakeargs} -DDebug=1"
@@ -42,7 +42,7 @@ src_compile() {
-DCMAKE_LOCALE_PATH=${GAMES_DATADIR_BASE}/locale/
-DCMAKE_DOC_PATH=${GAMES_DATADIR_BASE}/doc/
-DCMAKE_ETC_PATH=${GAMES_SYSCONFDIR} -DLIB_INSTALL_DIR=$(games_get_libdir)"
- cmake-utils_src_compile
+ cmake-utils_src_configure
}
src_install() {
diff --git a/packaging/linux/build.sh b/packaging/linux/build.sh
index b46d78e..3e36a93 100755
--- a/packaging/linux/build.sh
+++ b/packaging/linux/build.sh
@@ -35,7 +35,7 @@ done
# VARIABLES
###############################################################################
APPNAME="tuxanci"
-SVN="http://opensvn.csie.org/tuxanci_ng/"
+GIT="git://repo.or.cz/tuxanci.git"
BUNDLE_PREFIX="${HOME}"/tuxanci-bundle
LOG="${BUNDLE_PREFIX}"/linux.log
SOURCE="${BUNDLE_PREFIX}"/"${APPNAME}"_source_"${VERSION}"
@@ -53,7 +53,7 @@ touch "${LOG}" || ( echo "I was unable to create log file"; exit 1 )
echo "" > "${LOG}" # LOG CLEANUP
echo "<Downloading files from SVN repository>"
echo "<******************************>"
-svn export $SVN ${SVN_REV} ${SOURCE} >> "${LOG}" || ( echo "${ERROR_MESSAGE}"; exit 1 )
+git export ${GIT} ${SVN_REV} ${SOURCE} >> "${LOG}" || ( echo "${ERROR_MESSAGE}"; exit 1 )
rm -rf ${SOURCE}/packaging
###############################################################################
# CREATE SOURCE PACKAGE